tapestry-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ben Weidig <...@netzgut.net>
Subject Re: version 5.7.0, maven and jetty
Date Thu, 25 Feb 2021 15:21:17 GMT
Ah ok. I don't know much about maven and jetty:run, we run an embedded
jetty as Java application, and use gradle ;-)

It kinda sounds like a (transitive) dependency issue.
Something still wants 5.6.x and is trying to load a class from the old
package.

Maybe "mvn dependency:tree -Dverbose" can shed some light if there's a
wrong version at some point.

Or can you pinpoint where the class is supposed to be loaded?
To identify the dependency which might be loading the wrong version?
Is there more verbose output available?

I'm sure it's one of the first things you tried, but did you clean the
project, and made sure it did clean everything?
We sometimes had issues with old/outdated class files in a
build/target-folder.

That's all I got!

On Thu, Feb 25, 2021 at 2:52 PM Marcel Schepers <marcel.schepers@gmail.com>
wrote:

> Hello Ben,
>
> Thank you very much for your assistance.
>
> What is was trying to say is that the Maven/Jetty occurs after the
> migration process as described in the release notes. As far as I can see
> the migration tool did its job as the project compiles error free. It is
> the 'mvn jetty:run' command that causes the error.
>
> Marcel
>
> On Thu, Feb 25, 2021 at 1:28 PM Ben Weidig <ben@netzgut.net> wrote:
>
> > Hi Marcel,
> >
> > Tapestry 5.7.0 is not a simple drop-in upgrade from 5.6.x and needs
> manual
> > migration steps.
> > A lot of classes, like Configuration, moved to new packages, to make the
> > Java 9+ module system (partially) possible, and decouple the UI-related
> > parts from the general web-stack.
> >
> > There's a migration tool available, and the necessary steps are in the
> > release notes
> >
> > https://tapestry.apache.org/release-notes-570.html
> >
> > Hope this helps!
> > Ben
> >
> > On Thu, Feb 25, 2021 at 9:03 AM Marcel Schepers <
> marcel.schepers@gmail.com
> > >
> > wrote:
> >
> > > Hello,
> > > After upgrading to 5.7.0 I get this error message when trying to run my
> > > development version using Jetty's Maven plugin:
> > >
> > > java.lang.NoClassDefFoundError: org/apache/tapestry5/ioc/Configuration
> > >
> > > Any ideas what needs to be added to what classpath?
> > >
> > > Best,
> > > Marcel
> > >
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message